How to import a sketch file into NX programmatically via visual basic?

303 Views Asked by At

I need to import sketches into NX, this sketch is a 2D sketch, and it can be in any geometric shape, I have no idea how it will look like, since it's up to the customer. This sketch is supposed to serve as the cross-section of the object. After I have this sketch, I am supposed to extrude it and create the object. Below is a program which I have written for another purpose, I've left a gap in my code, because I believe that I should insert something into it in order to call out a sketch, yet I have no idea what I should write into the gap. Can anyone kindly tell me what should be written in the gap in order to call out the sketch? Thank you very much!

Option Strict Off
Imports System
Imports NXOpen
Module Points_01
     Sub Main(ByVal args() As String)
              'Declare working part of the NX session
       Dim theSession As Session = Session.GetSession()
       Dim workPart As Part = theSession.Parts.Work




              'Create a section
              Dim circ As NXOpen.Section = workPart.Sections.CreateSection(ctol, dtol, atol)
              Dim helpPoint As New NXOpen.Point3d(X,Y,Z)
              Dim nullObj As NXOpen.NXObject = Nothing
              Dim noChain As Boolean = False
              Dim createMode As NXOpen.Section.Mode = Section.Mode.Create
              ' Create rules to add the circle to the section
              Dim circl As NXOpen.CurveDumbRule = workPart.ScRuleFactory.CreateRuleBaseCurveDumb({disk0,disk1})
              circ.AddToSection({circl}, disk0, nullObj, nullObj, helpPoint, createMode, noChain)
              circ.AddToSection({circl}, disk1, nullObj, nullObj, helpPoint, createMode, noChain)
              Dim builder = workPart.Features.CreateExtrudeBuilder(Nothing)
              builder.Section = circ
              'Define the direction of the Extrude
              Dim origin As New NXOpen.Point3d(X,Y,Z)
              Dim axisZ As New NXOpen.Vector3d(0,0,1)
              Dim updateOption = SmartObject.UpdateOption.DontUpdate
              builder.Direction = workPart.Directions.CreateDirection(origin, axisZ, updateOption)
              builder.Limits.StartExtend.Value.RightHandSide = "0"
              builder.Limits.EndExtend.Value.RightHandSide = "50"
              Dim pegs As NXOpen.Features.Extrude = builder.CommitFeature
              builder.Destroy
              'Get the displayable object of the Extrude feature
               Dim bodies As NXOpen.Body() = pegs.GetBodies
              ' Change its color to color red (186)
              bodies(0).Color = 186
              'Show object
              bodies(0).RedisplayObject
     End Sub
End Module
0

There are 0 best solutions below